# Copyright 2021 (c) Anna Schumaker.
import lib
import playlist
import sidebar
import unittest
from gi.repository import Gtk
from . import pane

class TestPane(unittest.TestCase):
    def setUp(self):
        lib.settings.reset()

    def test_init(self):
        paned = pane.Pane()

        self.assertIsInstance(paned, Gtk.Paned)
        self.assertEqual(paned.get_orientation(), Gtk.Orientation.HORIZONTAL)
        self.assertEqual(paned.get_start_child(), sidebar.Box)
        self.assertEqual(paned.get_end_child(), playlist.Box)
        self.assertFalse(paned.get_shrink_start_child())
        self.assertTrue(paned.get_vexpand())

    def test_position(self):
        paned = pane.Pane()
        self.assertEqual(paned.get_position(), 250)
        self.assertEqual(lib.settings.get_int("sidebar.width"), 250)

        paned.set_position(100)
        self.assertEqual(lib.settings.get_int("sidebar.width"), 100)
